HOME話題と雑談Blogn Plusとブログ構築
カテゴリー記事一覧
カメムシ目 記‥
チョウ目ガ 記‥
チョウ目・記事‥
コウチュウ目(‥
コウチュウ目(‥
バッタ目・記事‥
トンボ目・記事‥
投稿日付を種別‥
BlognPlus2.5.6‥
カテゴリ記事一‥
BlognPlus2.5.6から2.6.2へのアップデートエラー
新規インストール版ではなく、アップデート版のエラー覚書。

今朝、博物雑記のブログシステムをバージョンアップしました。
BlognPlus2.5.6→2.6.2への差分アップデートでしたが、
その時に起きたエラーに関する作業内容メモです。

今回を最後に、もう2.5.6から2.6.2にアップデートする機会はないでしょうが、
また次のバージョンにアップデートする時に同じ問題が起きたら
思い出す時間も省けるので 記事にしておくことにしました。
サーバーはロリポップ!レンタルサーバー、BlognPlusはテキスト版です。

インストール手順は普通でしたが、一応書いておきます。

・アップデータを入手し解凍
・現サーバー上のconf.phpをバックアップ保存
・解凍したファイルをアップロード
・update.phpを実行
・画面の表示に従って属性の変更等を行う

と、私の場合 ここまでは問題なく行きました。

■Step. 4の後に出るアップデートエラー■

問題は次の【Step. 4】モジュールの設定で起きました。

もともと全てのモジュールにチェックが入っていたので、
「モジュールインストール」のボタンをクリックしますと「アップデートエラー」となり、
「※アップデート途中で中断した場合は、以下の手順でやり直してください。」
が表示され、やりなおしを命じられました。

エラー画面の指示は次の通り。

・サーバー側「conf.php」を削除
・サーバー側「conf_old.php」を「conf.php」にファイル名変更
・ダウンロードした差分ファイルから「conf_old.php」を再アップロード
・ダウンロードした差分ファイルから「conf_dist.php」を再アップロード
・パーミッションを確認して再度アップデーターを実行

前回「大阪きのこ音痴」を2.5.6->2.6.2にアップデートした際、同じエラーでハマったので、
今回 同じ場所でエラーが起きたということは、
指示に従って普通に繰り返しても 何度も同じ場所でエラーになるはずです(多分ね)。
そこで このエラーの回避方法として 前回エラーから脱出したのと同じ方法、

■Step. 4の後に出るアップデートエラー 解決方法■

・【Step. 4】でモジュールをインストールしない(チェックを全てはずす) 

で、クリアしました。

■管理画面ですぐに切断されるセッションエラー■

さて、無事ログイン画面にたどり着いても、すぐに第二のエラーが発生しました。
ログインをクリックし、管理画面が表示され、作業をしようと何らかのタブをクリックすると

セッションエラーセッションエラー


・セッションが切れました

と表示され、切断されてしまうのです。
しかしこれも既に前回の「大阪…」でのアップデートで経験済み。
エラー原因は、datフォルダ内にあるinit.cgiで、
問題が起きているのはセッション/クッキー設定の数値です。

■管理画面ですぐに切断されるセッションエラー 解決方法■

まず サーバー側のdat/init.cgiをどこかにダウンロードしてエディタで開き、
長い1行の末尾が ,0,0, になっているのを確認します。
この2つがセッション/クッキー設定の数値です。タイムが0では即切断されて当然ですね。
それを常識的な値 ,43200,604800, などに書き換えて、上書きでアップロードします。

なお、この問題が何故おきるのかは私にはわかりません。

CATEGORY:話題と雑談::Blogn Plusとブログ構築
2009,11,17 | comments (0)
コメント受付終了
全カテゴリーリスト